variables:
  # Please edit to your GitLab project
  REPO_NAME: gitlab.com/pidrakin/go/tests

stages:
  - test

test:
  stage: test
  image: golang:latest
  before_script:
    - mkdir -p $GOPATH/src/$(dirname $REPO_NAME)
    - ln -svf $CI_PROJECT_DIR $GOPATH/src/$REPO_NAME
    - cd $GOPATH/src/$REPO_NAME
  script:
    - go fmt $(go list ./... | grep -v /vendor/)
    - go vet $(go list ./... | grep -v /vendor/)
    - go test -race $(go list ./... | grep -v /vendor/)
  only:
    changes:
      - "**/*.go"
      - go.mod
      - go.sum